/* *************************************************************************
 * Name : codec.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.06.05
 * ************************************************************************* */

/* Prototype of Functions */
#ifdef __cplusplus
extern "C" { 
#endif

  enum codec_t {
    RAW, H261, H263, JPEG, MPEG
  };


  /* Function Prototypes */

  /* ** H261 codec ** */
  void init_codec ();
  void init_encoder ();
  int p64EncodeIntraFrame (char *inbuf, char *outbuf);
  int p64EncodeFrame (char *inbuf, char *outbuf);
  void init_decoder ();
  void 
  decode_frame (char *inbuf, int insize, char *outbuf, int first, int userno);

  /* ** H263 codec ** */
  int H263initEncoder (int x, int y);
  int H263initDecoder ();
  int H263codeIntraFrame (unsigned char *image, char *buffer);
  int H263codeFrame (unsigned char **image, char *buffer);
  char *H263decodeFrame (int user_id, char *frame, int len);

#ifdef __cplusplus
}
#endif
