/*
 * File         : H261.h
 * Author       : Tomasz Stachowiak
 * Created      : Mon Oct 19 16:33:22 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __H261_H
#define __H261_H

#ifdef __cplusplus
extern "C" { 
#endif

void init_codec();
void init_encoder();
int p64EncodeIntraFrame(char *inbuf, char *outbuf);
int p64EncodeFrame(char *inbuf, char *outbuf);
void init_decoder();
void decode_frame(char *inbuf, int insize, char *outbuf, int first, int userno);

#ifdef __cplusplus
}
#endif

#endif

